Subject: [Megaco] RE: stream

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 12 Apr 2002 09:29:45 -0400

Could I suggest you have a look at draft-ietf-megaco-h248v2-01.txt, section
6.2?  We considerably expanded the description of multiplexing terminations
in Geneva, and you may find the new text helpful.

One streams, have a look at section 7.1.6.  I would roughly sum up by saying
that the set of active streamIDs is a property of the context, but what
flows in each stream is a matter of the properties set at the individual
terminations.  My earlier response did not make that distinction clear.

Finally, no termination can belong to more than one context at a time.  That
includes multiplexing terminations.

-----Original Message-----
From: Y Hu [mailto:[email-masked]]
Sent: Friday, April 12, 2002 7:18 AM
To: [email-masked]
Cc: Taylor, Tom-PT [CAR:B800:EXCH]
Subject: stream

Thanks Tom.

> Yes. But multiplexing is a property of a
termination,
> not a context. Introducing a multiplex creates 
> asymmetry: the termination(s) feeding into
> the multiplex are hidden from the other terminations
> in the context. The "centre" of the context, where 
> the bridging is done, lies between the MUX
> and the terminations that do not feed into it (are 
> not listed in the Multiplex Descriptor).

Question:
(a) Does a MUX termination like other terminations
have local/remote descriptors to specify the stream
properties plus a MUX Descriptor? The MGC needs to
issue three ADD Termination requests to the context
according to the following diagram (if it is correct),
one for MUX, one for T2 and one for T1, even though
the T1 is invisible to the T2, the properties of the
T1 still need to be specified in the C1, is that
correct?

(b) If several contexts contain the MUX, all those
contexts have the same MUX Termination ID? It is a
little bit strange to me, but is it correct?

Context 1
------------------------------------------------
| --------------------------                   |
| |      MUX            |                   |
| | ------  stream 1   |                   |
| | | T1 | -----(*)------ |  s1     -------- |
| | ------                 |-----(*)---| T2 | |
| --------------------------           ------  |
-----------------------------------------------       

> I assume you mean in the above diagram. If you mean 
> in general, then a stream is present in a context 
> until no terminations support that stream. 

Yes, I meant that diagram. If I understand above
comment correctly, it means that the stream is a
property of the context, not the property of the
termination. Move a termination (T1) out of a context
(C1) does not move the stream properties with the
Termination although that the stream descriptor is
always specified inside of the Termination. Is that
correct?

Thank you for your patience.

At 10:55 PM 11/04/2002 -0400, you wrote:
Oh, well, should have read this one first :-}

-----Original Message-----
From: Y Hu [mailto:[email-masked]]
Sent: Thursday, April 11, 2002 9:47 PM
To: [email-masked]
Subject: [Megaco] stream

Hi,

Sorry, the previous message was pasted and posted
incompletely. Let me try again:

The spec says there are max 2 terminations in a
point-to-point connection context. In a multiplexing
termination context (such as H223), should there be
another termination for the mux in the context? 

         Context 1
    ------------------------
    | T1 ---- MUX ----- T2 |
    ------------------------

[PTT]
Yes.  But multiplexing is a property of a termination,
not a context.
Introducing a multiplex creates asymmetry: the
termination(s) feeding into
the multiplex are hidden from the other terminations
in the context.  The
"centre" of the context, where the bridging is done,
lies between the MUX
and the terminations that do not feed into it (are not
listed in the
Multiplex Descriptor).

If the T1 and T2 are connected by a stream #1. When
the T1 is moved out of C1, should the stream #1 be
deleted or should the stream #1 still stay within the
C1?

[PTT]
I assume you mean in the above diagram.  If you mean
in general, then a
stream is present in a context until no terminations
support that stream.
In the above diagram, if T1 feeds into the multiplex,
then the stream it
supports is visible only to the multiplex.  It is a
different stream 1 that
runs between the multiplex and the other terminations
in the context.

If both the T1 and T2 are moved out of C1, should the
C1 be destroyed automatically or should the C1 be
waiting until the MUX termination is requested to be
deleted by the MGC?

[PTT]
Again assuming that T1 is the termination listed in
the Multiplex
Descriptor, it would be an error to move it out before
modifying the MUX
termination to remove it from the Multiplex
Descriptor.  (We may need to
define a suitable error code.)  Assuming that
condition is met, the context
continues to exist until the MUX termination is
deleted.  The MUX
termination would be a bit strange, with no supporting
terminations to
provide any media, but I think  this is the logical
approach.

Thank you.

__________________________________________________
Do You Yahoo!?
Yahoo! Tax Center - online filing with TurboTax
http://taxes.yahoo.com/

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco